idevice_connect
idevice_connection_disable_bypass_ssl
idevice_connection_disable_ssl
idevice_connection_enable_ssl
idevice_connection_get_fd
idevice_connection_receive
idevice_connection_receive_timeout
idevice_connection_send
idevice_connection_t
idevice_connection_type
idevice_device_list_extended_free
idevice_device_list_free
IDEVICE_DEVICE_VERSION
idevice_disconnect
idevice_error_t
idevice_event_cb_t
idevice_event_subscribe
idevice_event_type
idevice_event_unsubscribe
idevice_events_subscribe
idevice_events_unsubscribe
idevice_free
idevice_get_device_list
idevice_get_device_list_extended
idevice_get_device_version
idevice_get_handle
idevice_get_udid
idevice_new
idevice_new_with_options
idevice_options
idevice_set_debug_level
idevice_strerror
idevice_subscription_context_t
idevice_t
libimobiledevice_version

## idevice_get_udid()

idevice_error_t idevice_get_udid | ( | idevice_t | device,
|  | char ** | udid )

Gets the Unique Device ID for the device.

Parameters

  device | The device to get the Unique Device ID for.
  udid | Pointer that will be set to an allocated buffer with the device UDID. The consumer is responsible for releasing the allocated memory.

Returns
  IDEVICE_E_SUCCESS on success, otherwise an error code.